apiVersion: kubevirt.io/v1
kind: VirtualMachineInstance
metadata:
  annotations:
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/nonroot: "true"
    kubevirt.io/storage-observed-api-version: v1
    kubevirt.io/vm-generation: "1"
    vm.kubevirt.io/flavor: small
    vm.kubevirt.io/os: rhel8
    vm.kubevirt.io/workload: server
  creationTimestamp: "2025-09-28T08:54:55Z"
  finalizers:
  - kubevirt.io/virtualMachineControllerFinalize
  - foregroundDeleteVirtualMachine
  generation: 26
  labels:
    kubevirt.io/domain: rhel8-chocolate-salmon-47
    kubevirt.io/nodeName: master3
    kubevirt.io/size: small
    network.kubevirt.io/headlessService: headless
  name: rhel8-chocolate-salmon-47
  namespace: default
  ownerReferences:
  - apiVersion: kubevirt.io/v1
    blockOwnerDeletion: true
    controller: true
    kind: VirtualMachine
    name: rhel8-chocolate-salmon-47
    uid: 26691757-6cb8-441d-918e-6bf76a49114a
  resourceVersion: "3312041"
  uid: e6f10f87-b3ff-4f77-bac4-096274ca29b0
spec:
  architecture: amd64
  domain:
    cpu:
      cores: 1
      maxSockets: 4
      model: host-model
      sockets: 1
      threads: 1
    devices:
      disks:
      - disk:
          bus: virtio
        name: rootdisk
      - disk:
          bus: virtio
        name: cloudinitdisk
      interfaces:
      - macAddress: 02:84:f7:4a:a9:3f
        model: virtio
        name: nic-harlequin-slug-68
        sriov: {}
      rng: {}
    features:
      acpi:
        enabled: true
    firmware:
      serial: ca789145-1b56-46e6-b5c4-a7e14af88ab5
      uuid: 651b7be7-6f74-4ce4-b728-d9d7a5b41334
    machine:
      type: pc-q35-rhel9.6.0
    memory:
      guest: 3Gi
      maxGuest: 8Gi
    resources:
      requests:
        memory: 3Gi
  evictionStrategy: LiveMigrate
  networks:
  - multus:
      networkName: sriov-network
    name: nic-harlequin-slug-68
  terminationGracePeriodSeconds: 180
  volumes:
  - dataVolume:
      name: rhel8-chocolate-salmon-47
    name: rootdisk
  - cloudInitNoCloud:
      userData: |-
        #cloud-config
        user: cloud-user
        password: 774f-70xf-otjw
        chpasswd: { expire: False }
    name: cloudinitdisk
status:
  activePods:
    1358b46c-9be3-4091-92cd-1ff459e5261c: master1
    50160ab4-17d8-47e8-83e1-b51cca067bc3: master3
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-09-28T08:56:26Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: null
    message: All of the VMI's DVs are bound and ready
    reason: AllDVsReady
    status: "True"
    type: DataVolumesReady
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: LiveMigratable
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: StorageLiveMigratable
  - lastProbeTime: "2025-09-28T08:55:17Z"
    lastTransitionTime: null
    status: "True"
    type: AgentConnected
  currentCPUTopology:
    cores: 1
    sockets: 1
    threads: 1
  guestOSInfo:
    id: rhel
    kernelRelease: 4.18.0-553.70.1.el8_10.x86_64
    kernelVersion: '#1 SMP Tue Aug 12 13:09:16 EDT 2025'
    machine: x86_64
    name: Red Hat Enterprise Linux
    prettyName: Red Hat Enterprise Linux 8.10 (Ootpa)
    version: 8.10 (Ootpa)
    versionId: "8.10"
  interfaces:
  - infoSource: multus-status
    name: nic-harlequin-slug-68
    podInterfaceName: podbce5772e238
  launcherContainerImageVersion: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:73a781947d6b6bc298c1c3118028687f9a30c9dfae5ce6dc9fc428283afdffb6
  machine:
    type: pc-q35-rhel9.6.0
  memory:
    guestAtBoot: 2Gi
    guestCurrent: 3Gi
    guestRequested: 3Gi
  migrationMethod: BlockMigration
  migrationState:
    completed: true
    endTimestamp: "2025-09-28T08:56:25Z"
    migrationConfiguration:
      allowAutoConverge: false
      allowPostCopy: false
      allowWorkloadDisruption: false
      bandwidthPerMigration: "0"
      completionTimeoutPerGiB: 150
      nodeDrainTaintKey: kubevirt.io/drain
      parallelMigrationsPerCluster: 5
      parallelOutboundMigrationsPerNode: 2
      progressTimeout: 150
      unsafeMigrationOverride: false
    migrationUid: 743fcddb-f9ea-441c-a0dc-c3217c961b13
    mode: PreCopy
    sourceNode: master1
    sourcePod: virt-launcher-rhel8-chocolate-salmon-47-kg4bd
    startTimestamp: "2025-09-28T08:56:17Z"
    targetDirectMigrationNodePorts:
      "36055": 0
      "40969": 49152
      "44725": 49153
    targetNode: master3
    targetNodeAddress: 10.128.0.106
    targetNodeDomainDetected: true
    targetNodeDomainReadyTimestamp: "2025-09-28T08:56:25Z"
    targetPod: virt-launcher-rhel8-chocolate-salmon-47-rdlm2
  migrationTransport: Unix
  nodeName: master3
  phase: Running
  phaseTransitionTimestamps:
  - phase: Pending
    phaseTransitionTimestamp: "2025-09-28T08:54:55Z"
  - phase: Scheduling
    phaseTransitionTimestamp: "2025-09-28T08:54:55Z"
  - phase: Scheduled
    phaseTransitionTimestamp: "2025-09-28T08:55:03Z"
  - phase: Running
    phaseTransitionTimestamp: "2025-09-28T08:55:06Z"
  qosClass: Burstable
  runtimeUser: 107
  selinuxContext: system_u:object_r:container_file_t:s0:c237,c665
  virtualMachineRevisionName: revision-start-vm-26691757-6cb8-441d-918e-6bf76a49114a-1
  volumeStatus:
  - name: cloudinitdisk
    size: 1048576
    target: vdb
  - name: rootdisk
    persistentVolumeClaimInfo:
      accessModes:
      - ReadWriteMany
      capacity:
        storage: 30Gi
      claimName: rhel8-chocolate-salmon-47
      filesystemOverhead: "0"
      requests:
        storage: "32212254720"
      volumeMode: Block
    target: vda
